Bug 968226 - libuv: incorrect license tag
libuv: incorrect license tag
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libuv (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 05:08 EDT by Michal Srb
Modified: 2013-06-19 17:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: libuv-0.10.9-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 23:40:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Srb 2013-05-29 05:08:57 EDT
Description of problem:

License tag says MIT, but libuv also contains files licensed under BSD and ISC.

ISC:
src/inet.c

BSD:
include/uv-private/tree.h
include/uv-private/stdint-msvc2008.h
include/uv-private/ngx-queue.h

This is also documented in LICENSE file.
Comment 1 Fedora Update System 2013-05-29 05:35:41 EDT
libuv-0.10.8-2.fc18, v8-3.14.5.10-1.fc18, nodejs-0.10.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/v8-3.14.5.10-1.fc18,libuv-0.10.8-2.fc18,nodejs-0.10.8-1.fc18
Comment 2 Fedora Update System 2013-05-29 05:37:00 EDT
libuv-0.10.8-2.el6, v8-3.14.5.10-1.el6, nodejs-0.10.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/v8-3.14.5.10-1.el6,libuv-0.10.8-2.el6,nodejs-0.10.8-1.el6
Comment 3 Fedora Update System 2013-05-29 05:38:17 EDT
libuv-0.10.8-2.fc19, v8-3.14.5.10-1.fc19, nodejs-0.10.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/v8-3.14.5.10-1.fc19,libuv-0.10.8-2.fc19,nodejs-0.10.8-1.fc19
Comment 4 Fedora Update System 2013-05-29 13:33:56 EDT
Package libuv-0.10.8-2.el6, v8-3.14.5.10-1.el6, nodejs-0.10.8-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing libuv-0.10.8-2.el6 v8-3.14.5.10-1.el6 nodejs-0.10.8-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-6006/v8-3.14.5.10-1.el6,libuv-0.10.8-2.el6,nodejs-0.10.8-1.el6
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-06-07 23:40:00 EDT
libuv-0.10.9-1.fc19, nodejs-0.10.9-1.fc19, v8-3.14.5.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-06-11 05:15:47 EDT
v8-3.14.5.10-1.fc18, libuv-0.10.9-1.fc18, nodejs-0.10.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-06-19 17:34:38 EDT
libuv-0.10.9-1.el6, nodejs-0.10.9-1.el6, v8-3.14.5.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.